Bug 1629937 (CVE-2018-14631) - CVE-2018-14631 moodle: boost theme - blog search GET parameter insufficiently filtered (MSA-18-0019)
Summary: CVE-2018-14631 moodle: boost theme - blog search GET parameter insufficiently...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-14631
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1629951 1629950
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-17 16:13 UTC by Laura Pardo
Modified: 2019-09-29 14:58 UTC (History)
2 users (show)

Fixed In Version: moodle 3.5.2, moodle 3.4.5, moodle 3.3.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:38:02 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-09-17 16:13:28 UTC
A flaw was found in Moodle. The breadcrumb navigation provided by Boost theme when displaying search results of a blog were insufficiently filtered, which could result in reflected XSS if a user followed a malicious link containing JavaScript in the search parameter.


References:
https://moodle.org/mod/forum/discuss.php?d=376025

Upstream Patch:
http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-62857

Comment 1 Laura Pardo 2018-09-17 16:47:24 UTC
Created moodle tracking bugs for this issue:

Affects: epel-all [bug 1629951]
Affects: fedora-all [bug 1629950]

Comment 2 Product Security DevOps Team 2019-06-10 10:38:02 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.